import { useTranslations } from "next-intl";
import {
  Components,
  DashBoard,
  Stacks2,
  Map,
  Grid,
  Files,
  ClipBoard,
  Flag,
  Book,
  Note,
  Sheild,
  Error,
} from "@/components/svg";
import AdminPanelSettingsIcon from '@mui/icons-material/AdminPanelSettings';

import DashboardIcon from '@mui/icons-material/Dashboard';
import AccountCircleIcon from '@mui/icons-material/AccountCircle';
import SettingsIcon from '@mui/icons-material/Settings';
import PaidIcon from '@mui/icons-material/Paid';
import WalletIcon from '@mui/icons-material/Wallet';
import LockResetIcon from '@mui/icons-material/LockReset';
import FiberPinIcon from '@mui/icons-material/FiberPin';

import AccountBalanceWalletIcon from '@mui/icons-material/AccountBalanceWallet';

const Home = () => {
  const t = useTranslations("Menu");

  return {
    sidebarOP: {
      modern: [
        {
          title: t("Dashboard"),
          icon: DashBoard,
          href: "/admin/dashboard",
        },
        {
          title: t("My_Profile"),
          icon: AccountCircleIcon,
          child: [
            {
              title: t("Profile"),
              href: "/admin/profile",
              icon: AccountCircleIcon,
            },
            {
              title: t("Change_Mpin"),
              href: "/admin/set-new-mpin",
              icon: FiberPinIcon,
            },
            {
              title: t("Change_Password"),
              icon: LockResetIcon,
              href: "/admin/update-password",
            },
          ],
        },
        {
          title: t("Members"),
          icon: Components,
          child: [
            {
              title: "Add New Member",
              href: "/admin/members/add",
              icon: AdminPanelSettingsIcon,
            },
            {
              title: t("Master_Distributor"),
              href: "/admin/members/master-distributor",
              icon: AdminPanelSettingsIcon,
            },
            {
              title: t("Distributor"),
              icon: AdminPanelSettingsIcon,
              href: "/admin/members/distributor",
            },
            {
              title: t("Retailer"),
              icon: AdminPanelSettingsIcon,
              href: "/admin/members/retailer",
            },
          ],
        },
        {
          title: t('All_Transaction'),
          icon: WalletIcon,
          child: [
            {
              title: t('All'),
              icon: Note,
              href: "/admin/transaction-history/list/all",
            },
            {
              title: t('Pending'),
              icon: Note,
              href: "/admin/transaction-history/list/pending",
            },
            {
              title: t('Success'),
              icon: Note,
              href: "/admin/transaction-history/list/success",
            },
            {
              title: t('Failed'),
              icon: Note,
              href: "/admin/transaction-history/list/failed",
            },

            {
              title: t("TDS"),
              icon: Note,
              href: "/admin/transaction-history/list/tds",
            },
            {
              title: t("GST"),
              icon: Note,
              href: "/admin/transaction-history/list/gst",
            },
          ],
        },

      ],
    },
  };
};

export default Home;
